RunReveal

ChatCancel operation

POST
/ai/chat/cancel

Request Body

application/jsonRequired

chatIDstring

curl -X POST "https://api.runreveal.com/ai/chat/cancel" \
  -H "Content-Type: application/json" \
  -d '{
    "chatID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "message": "string"
  },
  "success": true
}

ChatHistory operation

GET
/ai/chat/history

Query Parameters

chatIDstring

includeStepsboolean

lastReadIDstring

curl -X GET "https://api.runreveal.com/ai/chat/history?chatID=string&includeSteps=true&lastReadID=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "chat": {
      "createdAt": {},
      "createdBy": "string",
      "id": "string",
      "model": "string",
      "provider": "string",
      "settings": [
        0
      ],
      "sharedMessage": "string",
      "status": "string",
      "title": "string",
      "updatedAt": {},
      "workspaceId": "string"
    },
    "messages": [
      {
        "chatId": "string",
        "content": "string",
        "createdAt": {},
        "createdBy": "string",
        "id": "string",
        "logType": "string",
        "metadata": {
          "property1": {},
          "property2": {}
        },
        "role": "string"
      }
    ],
    "state": "string"
  },
  "success": true
}

ChatList operation

GET
/ai/chat/list

Query Parameters

limitinteger

offsetinteger

curl -X GET "https://api.runreveal.com/ai/chat/list?limit=0&offset=0"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "chats": [
      {
        "createdAt": {},
        "createdBy": "string",
        "id": "string",
        "model": "string",
        "provider": "string",
        "settings": [
          0
        ],
        "sharedMessage": "string",
        "status": "string",
        "title": "string",
        "updatedAt": {},
        "workspaceId": "string"
      }
    ],
    "totalCount": 0
  },
  "success": true
}

ChatMcpWarmup operation

POST
/ai/chat/mcp-warmup

Request Body

application/jsonRequired

modelstring

providerstring

curl -X POST "https://api.runreveal.com/ai/chat/mcp-warmup" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "string",
    "provider": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "servers": [
      {
        "available": true,
        "id": "string",
        "name": "string",
        "toolCount": 0
      }
    ]
  },
  "success": true
}

ChatMessage operation

POST
/ai/chat/message

Request Body

application/jsonRequired

chatIDstring

messagestring

modelstring

ollamaURLstring

providerstring

toolsarray<string>

curl -X POST "https://api.runreveal.com/ai/chat/message" \
  -H "Content-Type: application/json" \
  -d '{
    "chatID": "string",
    "message": "string",
    "model": "string",
    "ollamaURL": "string",
    "provider": "string",
    "tools": [
      "string"
    ]
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "chatID": "string",
    "messageID": "string"
  },
  "success": true
}

ChatShare operation

POST
/ai/chat/share

Request Body

application/jsonRequired

chatIDstring

messageIDstring

curl -X POST "https://api.runreveal.com/ai/chat/share" \
  -H "Content-Type: application/json" \
  -d '{
    "chatID": "string",
    "messageID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "createdBy": "string",
    "id": "string",
    "model": "string",
    "provider": "string",
    "settings": [
      0
    ],
    "sharedMessage": "string",
    "status": "string",
    "title": "string",
    "updatedAt": {},
    "workspaceId": "string"
  },
  "success": true
}

ChatSharedGet operation

GET
/ai/chat/shared/history

Query Parameters

chatIDstring

includeStepsboolean

curl -X GET "https://api.runreveal.com/ai/chat/shared/history?chatID=string&includeSteps=true"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "chat": {
      "createdAt": {},
      "createdBy": "string",
      "id": "string",
      "model": "string",
      "provider": "string",
      "settings": [
        0
      ],
      "sharedMessage": "string",
      "status": "string",
      "title": "string",
      "updatedAt": {},
      "workspaceId": "string"
    },
    "messages": [
      {
        "chatId": "string",
        "content": "string",
        "createdAt": {},
        "createdBy": "string",
        "id": "string",
        "logType": "string",
        "metadata": {
          "property1": {},
          "property2": {}
        },
        "role": "string"
      }
    ]
  },
  "success": true
}

ChatTokenUsage operation

POST
/ai/chat/token-usage

Request Body

application/jsonRequired

chatIdsarray<string>

curl -X POST "https://api.runreveal.com/ai/chat/token-usage" \
  -H "Content-Type: application/json" \
  -d '{
    "chatIds": [
      "string"
    ]
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "usage": {
      "property1": {
        "chatId": "string",
        "completionTokens": 0,
        "promptTokens": 0
      },
      "property2": {
        "chatId": "string",
        "completionTokens": 0,
        "promptTokens": 0
      }
    }
  },
  "success": true
}

ChatTools operation

GET
/ai/chat/tools
curl -X GET "https://api.runreveal.com/ai/chat/tools"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "tools": [
      {
        "description": "string",
        "name": "string",
        "readOnly": true
      }
    ]
  },
  "success": true
}

ChatUnshare operation

DELETE
/ai/chat/unshare

Query Parameters

chatIDstring

messageIDstring

curl -X DELETE "https://api.runreveal.com/ai/chat/unshare?chatID=string&messageID=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "createdBy": "string",
    "id": "string",
    "model": "string",
    "provider": "string",
    "settings": [
      0
    ],
    "sharedMessage": "string",
    "status": "string",
    "title": "string",
    "updatedAt": {},
    "workspaceId": "string"
  },
  "success": true
}

ChatUsageCreators operation

POST
/ai/chat/usage-creators

Request Body

application/jsonRequired

ChatUsageFilterobject

curl -X POST "https://api.runreveal.com/ai/chat/usage-creators" \
  -H "Content-Type: application/json" \
  -d '{
    "ChatUsageFilter": {
      "createdBy": [
        "string"
      ],
      "createdByMode": "string",
      "from": "string",
      "modelMode": "string",
      "models": [
        "string"
      ],
      "search": "string",
      "to": "string"
    }
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "creators": [
      {
        "count": 0,
        "kind": "string",
        "label": "string",
        "value": "string"
      }
    ],
    "models": [
      {
        "count": 0,
        "value": "string"
      }
    ]
  },
  "success": true
}

ChatUsageHistogram returns a time-bucketed input/output token series for the filtered set, used to render the usage-over-time chart.

ChatUsageHistogram returns a time-bucketed input/output token series for the filtered set, used to render the usage-over-time chart.

POST
/ai/chat/usage-histogram

Request Body

application/jsonRequired

ChatUsageFilterobject

intervalSecondsinteger

curl -X POST "https://api.runreveal.com/ai/chat/usage-histogram" \
  -H "Content-Type: application/json" \
  -d '{
    "ChatUsageFilter": {
      "createdBy": [
        "string"
      ],
      "createdByMode": "string",
      "from": "string",
      "modelMode": "string",
      "models": [
        "string"
      ],
      "search": "string",
      "to": "string"
    },
    "intervalSeconds": 0
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "values": [
      {
        "completionTokens": 0,
        "promptTokens": 0,
        "timestamp": {}
      }
    ]
  },
  "success": true
}

ChatUsageList operation

POST
/ai/chat/usage-list

Request Body

application/jsonRequired

ChatUsageFilterobject

sortstring

curl -X POST "https://api.runreveal.com/ai/chat/usage-list" \
  -H "Content-Type: application/json" \
  -d '{
    "ChatUsageFilter": {
      "createdBy": [
        "string"
      ],
      "createdByMode": "string",
      "from": "string",
      "modelMode": "string",
      "models": [
        "string"
      ],
      "search": "string",
      "to": "string"
    },
    "sort": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "agentId": "string",
      "agentName": "string",
      "chatId": "string",
      "completionTokens": 0,
      "createdAt": {},
      "createdBy": "string",
      "createdByEmail": "string",
      "id": "string",
      "linkable": true,
      "model": "string",
      "private": true,
      "promptTokens": 0,
      "provider": "string",
      "title": "string"
    }
  ],
  "success": true
}

ChatUsageSummary returns aggregate token usage across the entire filtered set (the timeframe-wide totals shown above the list), independent of pagination.

ChatUsageSummary returns aggregate token usage across the entire filtered set (the timeframe-wide totals shown above the list), independent of pagination.

POST
/ai/chat/usage-summary

Request Body

application/jsonRequired

ChatUsageFilterobject

curl -X POST "https://api.runreveal.com/ai/chat/usage-summary" \
  -H "Content-Type: application/json" \
  -d '{
    "ChatUsageFilter": {
      "createdBy": [
        "string"
      ],
      "createdByMode": "string",
      "from": "string",
      "modelMode": "string",
      "models": [
        "string"
      ],
      "search": "string",
      "to": "string"
    }
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "chatCount": 0,
    "completionTokens": 0,
    "promptTokens": 0
  },
  "success": true
}

CustomPromptCreate operation

POST
/ai/custom-prompts/create

Request Body

application/jsonRequired

argumentsarray<integer>

descriptionstring

isActiveboolean

namestring

promptTextstring

curl -X POST "https://api.runreveal.com/ai/custom-prompts/create" \
  -H "Content-Type: application/json" \
  -d '{
    "arguments": [
      0
    ],
    "description": "string",
    "isActive": true,
    "name": "string",
    "promptText": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "arguments": [
      0
    ],
    "createdAt": {},
    "createdBy": "string",
    "description": "string",
    "id": "string",
    "name": "string",
    "promptText": "string",
    "updatedAt": {},
    "workspaceId": "string"
  },
  "success": true
}

CustomPromptDelete operation

DELETE
/ai/custom-prompts/delete
curl -X DELETE "https://api.runreveal.com/ai/custom-prompts/delete?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "id": "string"
  },
  "success": true
}

CustomPromptGet operation

GET
/ai/custom-prompts/get
curl -X GET "https://api.runreveal.com/ai/custom-prompts/get?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "arguments": [
      0
    ],
    "createdAt": {},
    "createdBy": "string",
    "description": "string",
    "id": "string",
    "name": "string",
    "promptText": "string",
    "updatedAt": {},
    "workspaceId": "string"
  },
  "success": true
}

CustomPromptList operation

GET
/ai/custom-prompts/list

Query Parameters

cursorstring

limitstring

curl -X GET "https://api.runreveal.com/ai/custom-prompts/list?cursor=string&limit=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "arguments": [
        0
      ],
      "createdAt": {},
      "createdBy": "string",
      "description": "string",
      "id": "string",
      "name": "string",
      "promptText": "string",
      "updatedAt": {},
      "workspaceId": "string"
    }
  ],
  "success": true
}

CustomPromptUpdate operation

POST
/ai/custom-prompts/update

Request Body

application/jsonRequired

argumentsarray<integer>

descriptionstring

idstring

isActiveboolean

namestring

promptTextstring

curl -X POST "https://api.runreveal.com/ai/custom-prompts/update" \
  -H "Content-Type: application/json" \
  -d '{
    "arguments": [
      0
    ],
    "description": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "promptText": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "arguments": [
      0
    ],
    "createdAt": {},
    "createdBy": "string",
    "description": "string",
    "id": "string",
    "name": "string",
    "promptText": "string",
    "updatedAt": {},
    "workspaceId": "string"
  },
  "success": true
}

AiFieldMappingSuggest operation

POST
/ai/field-mapping/suggest

Request Body

application/jsonRequired

sampleDataarray<string>

curl -X POST "https://api.runreveal.com/ai/field-mapping/suggest" \
  -H "Content-Type: application/json" \
  -d '{
    "sampleData": [
      "string"
    ]
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "message": "string",
    "success": true,
    "suggestions": [
      {
        "columnName": "string",
        "columnType": "string",
        "jsonPath": "string",
        "normalizedField": "string",
        "tagKey": "string"
      }
    ]
  },
  "success": true
}

AiSummary operation

POST
/ai/summary

Request Body

application/jsonRequired

dataarray<integer>

promptstring

curl -X POST "https://api.runreveal.com/ai/summary" \
  -H "Content-Type: application/json" \
  -d '{
    "data": [
      0
    ],
    "prompt": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "summary": "string"
  },
  "success": true
}

AiVerify operation

POST
/ai/verify

Request Body

application/jsonRequired

modelstring

providerstring

curl -X POST "https://api.runreveal.com/ai/verify" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "string",
    "provider": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "message": "string",
    "success": true
  },
  "success": true
}